{
    template: '${tmpl}',
        data: function() {
            return {
                listPath: { path: `/${this.$root.channelName}/jdindentlist`, query: {} },
                currentStep:1,
                companyData:[],
                user_Name:"",
            }
        },
    mounted: function() {
    },
    created: function() {
        document.cookie.split('; ').map((item, index) => {
            if (item.includes('pin=')) {
                this.user_Name = item.substring(4);
            }
        });
    },
    methods: {
        loginOut(){
            let _this = this;
            $.ajax({
                async: true,
                url: "http://login.jdcloud.com/logout",
                type: "GET",
                dataType: "jsonp", 
                jsonp: 'callback', 
                jsonpCallback: 'handleResponse', 
                data: {
                },
                success: function (response, status, xhr) {
                    console.log('状态为：' + status + ',状态是：' + xhr.statusText);
                    console.log(response);
                    if(response.code == 0){
                        _this.user_Name = "";
                    }
                }
            });
        },

    },
    vname: "gsb-OAjdcompany"
}
